petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEGCRGetUnrollW

Get information on PIPEGCR unrolling the w vector

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetUnrollW(KSP ksp,PetscBool *unroll_w)

Logically Collective on KSP

### Input Parameter

ksp -the Krylov space context

### Output Parameter

unroll_w -PIPEGCR uses unrolling (bool)

### Options Database

-ksp_pipegcr_unroll_w -

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRGetNprealloc(),KSPPIPEGCRSetUnrollW()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages